Bug 79280 - port graphics/skencil does not start
Summary: port graphics/skencil does not start
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sam Lawrance
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-03-27 17:00 UTC by Marian Cerny
Modified: 2005-04-18 09:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marian Cerny 2005-03-27 17:00:14 UTC
Port graphics/skencil does not start. Some problem with newer version of python...

When executed writes this:

#skencil

(Traceback (most recent call last):
   File "/usr/local/share/skencil/skencil.py", line 34, in ?
     Sketch.main.main()
   File "/usr/local/share/skencil/Sketch/Base/main.py", line 148, in main
     run_script = options.run_script)
   File "/usr/local/share/skencil/Sketch/UI/skapp.py", line 181, in __init__
     geometry = geometry)
   File "/usr/local/share/skencil/Sketch/UI/skapp.py", line 100, in __init__
     self.init_tk(screen_name, geometry)
   File "/usr/local/share/skencil/Sketch/UI/skapp.py", line 210, in init_tk
     geometry = geometry)
   File "/usr/local/share/skencil/Sketch/UI/skapp.py", line 105, in init_tk
     className = self.tk_class_name)
   File "/usr/local/lib/python2.4/lib-tk/Tkinter.py", line 1569, in __init__
     self.tk = _tkinter.create(screenName, baseName, className, 
interactive, wantobjects, useTk, sync, use)
TypeError: function takes at most 4 arguments (8 given)

Fix: 

Patch is available here http://savannah.nongnu.org/bugs/download.php?item_id=10345&item_file_id=1706
(bug: http://savannah.nongnu.org/bugs/?func=detailitem&item_id=10345)

How to apply the patch is here: http://www.bsdforen.de/showthread.php?t=9094
How-To-Repeat: Try to install actual version of skencil with actual version of python. Then run it.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2005-03-27 17:23:55 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-ports-bugs

This is a ports PR.
Comment 2 Sam Lawrance freebsd_committer 2005-04-17 17:31:37 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lawrance

Grab
Comment 3 Sam Lawrance freebsd_committer 2005-04-18 09:19:18 UTC
State Changed
From-To: open->closed

Committed, thanks!